Name: bed
Version: 0.2.19
Release: 1
Summary: menu driven variable dataformat binary editor for linux 
Source: sunsite.unc.edu:/pub/Linux/apps/editors/terminal/bed-0.2.19.src.tar.gz 
Url: http://bedlinux.tripod.com
Copyright: GPL
Group: Applications/Editors
%description 
Menu driven binary editor. Dataformats are
ascii, unsigned and signed integers, float, bitflags,
bitfields, labels, ebcdic and time_t. Different sizes
and byte ordenings are possible. Datatypes can
be used in structures. Other dataformats, filters and
procedures can be defined in plugins. Contains copy,
past, undo, redo, search, replace, marks, record/play and
context sensitive help. Linux & FreeBSD & Win95: 
edit block devices (linux limit 1023 gigabyte).
%prep
%setup

%build
make realclean
make linuxconfig
make dep
make
%install
if test -e /usr/share/bed-0.2.19/uninstallbed.sh; then bash /usr/share/bed-0.2.19/uninstallbed.sh --force ; fi
make install
%post
cd /usr/share/bed-0.2.19
bash ./addmagic.sh
if  which update-menus; then update-menus; fi
%files
%config /usr/share/bed-0.2.19
/usr/share/bed
/usr/bin/bed
/usr/bin/xbed
/usr/man/man1/bed.1.gz
/usr/man/man1/xbed.1.gz
/usr/lib/menu/bed
/usr/share/applnk/Editors/bed.kdelnk
/usr/share/applnk/Utilities/BED.kdelnk
/usr/share/gnome/apps/Editors/bed.desktop
/usr/share/gnome/apps/Utilities/BED.desktop

